## /vis/viewer/

Operations on Geant4 viewers.

## Sub-directories :

/vis/viewer/set/

  Set view parameters of current viewer.

## Commands :

clear [viewer-name]

  Clears viewer.
  By default, clears current viewer. Specified viewer becomes current. "/vis/viewer/list" to see possible viewer names.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s | Omittable : current value is used as the default value. |

create [scene-handler] [viewer-name] [window-size-hint]

  Creates a viewer for the specified scene handler.
  Default scene handler is the current scene handler. Invents a name if not supplied. (Note: the system adds information to the name for identification - only the characters up to the first blank are used for removing, selecting, etc.) This scene handler and viewer become current.

  Available at all Geant4 states.

  Parameters

  scene-handler | type s | Omittable : current value is used as the default value. |
  viewer-name | type s | Omittable : current value is used as the default value. |
  window-size-hint | type i | Omittable : default value = 600 |

dolly [increment] [Unit]

  Incremental dolly.
  Moves the camera incrementally towards target point.

  Available at all Geant4 states.

  Parameters

  increment | type d | Omittable : current value is used as the default value. |
  Unit | type s | Omittable : default value = m | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

dollyTo [distance] [Unit]

  Dolly to specific coordinate.
  Places the camera towards target point relative to standard camera point.

  Available at all Geant4 states.

  Parameters

  distance | type d | Omittable : current value is used as the default value. |
  Unit | type s | Omittable : default value = m | Parameter candidates : pc km m cm mm mum nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

flush [viewer-name]

  Compound command: "/vis/viewer/refresh" + "/vis/viewer/update".
  Useful for refreshing and initiating post-processing for graphics systems which need post-processing. By default, acts on current viewer. "/vis/viewer/list" to see possible viewers. Viewer becomes current.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s | Omittable : current value is used as the default value. |

list [viewer-name] [verbosity]

  Lists viewers(s).
  See "/vis/verbose" for definition of verbosity.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s | Omittable : default value = all |
  verbosity | type s | Omittable : default value = 0 |

pan [right-increment] [up-increment] [unit]

  Incremental pan.
  Moves the camera incrementally right and up by these amounts (as seen from viewpoint direction).

  Available at all Geant4 states.

  Parameters

  right-increment | type d | Omittable : current value is used as the default value. |
  up-increment | type d | Omittable : current value is used as the default value. |
  unit | type s | Omittable : default value = m |

panTo [right] [up] [unit]

  Pan to specific coordinate.
  Places the camera in this position right and up relative to standard target point (as seen from viewpoint direction).

  Available at all Geant4 states.

  Parameters

  right | type d | Omittable : current value is used as the default value. |
  up | type d | Omittable : current value is used as the default value. |
  unit | type s | Omittable : default value = m |

refresh [viewer-name]

  Refreshes viewer.
  By default, acts on current viewer. "/vis/viewer/list" to see possible viewers. Viewer becomes current.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s | Omittable : current value is used as the default value. |

reset [viewer-name]

  Resets viewer.
  By default, acts on current viewer. "/vis/viewer/list" to see possible viewers. Viewer becomes current.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s | Omittable : current value is used as the default value. |

select [viewer-name]

  Selects viewer.
  Specify viewer by name. "/vis/viewer/list" to see possible viewers.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s |  |

update [viewer-name]

  Triggers graphical database post-processing for viewers using that technique.
  For such viewers the view only becomes visible with this command. By default, acts on current viewer. "/vis/viewer/list" to see possible viewers. Viewer becomes current.

  Available at all Geant4 states.

  Parameters

  viewer-name | type s | Omittable : current value is used as the default value. |

zoom [multiplier]

  Incremental zoom.
  Multiplies current magnification by this factor.

  Available at all Geant4 states.

  Parameters

  multiplier | type d | Omittable : current value is used as the default value. |

zoomTo [factor]

  Absolute zoom.
  Magnifies standard magnification by this factor.

  Available at all Geant4 states.

  Parameters

  factor | type d | Omittable : current value is used as the default value. |